### Method

# GtkSource Buffer set_implicit_trailing_newline

#### Declaration [src]

    void
    gtk_source_buffer_set_implicit_trailing_newline (
      GtkSourceBuffer* buffer,
      gboolean implicit_trailing_newline
    )

#### Description [src]

Sets whether the `buffer` has an implicit trailing newline.

If an explicit trailing newline is present in a `GtkTextBuffer`, `GtkTextView` shows it as an empty line. This is generally not what the user expects.

If `implicit_trailing_newline` is `TRUE` (the default value): - when a `GtkSourceFileLoader` loads the content of a file into the `buffer`, the trailing newline (if present in the file) is not inserted into the `buffer`. - when a `GtkSourceFileSaver` saves the content of the `buffer` into a file, a trailing newline is added to the file.

On the other hand, if `implicit_trailing_newline` is `FALSE`, the file’s content is not modified when loaded into the `buffer`, and the `buffer`‘s content is not modified when saved into a file.

Sets property | `GtkSource.Buffer:implicit-trailing-newline`

#### Parameters

`implicit_trailing_newline`

  Type: `gboolean`

  The new value.